using System;
using System.Configuration ;
using SmartDS ;
namespace BoOrders
{
	/// <summary>
	/// Summary description for OROrders.
	/// </summary>
	public class BOCustOrders2 : IORInterface2
	{

		private DSCustOrders2 pf_LoadDS() 
		{
			DSCustOrders2 l_cs1 = new DSCustOrders2 ();
			l_cs1.ReadXmlSchema (
				ConfigurationSettings.AppSettings["SchemaLocation"] + 
				m_schema_filename );
			return l_cs1;

		}

		private const string m_schema_filename = "CustOrders.xsd";

		
		#region IORInterface Members

		public void Persist(CSmartDS2 p_DS)
		{
			//persist data to DB
		}

		public CSmartDS2 CreateNew()
		{
			return pf_LoadDS();
		}

		public CSmartDS2 Retrieve(object criteria)
		{
			DSCustOrders2 l_ds2 =  pf_LoadDS();
			//retrieve data from DB
			return l_ds2;
		}

		#endregion
	}
}
